
/**
* xor frames
*/

unsigned short *  deltaframes(unsigned short *frame1,unsigned short *frame2,long len)
{
     long i;
     unsigned short *outputbuffer = (unsigned short *) malloc(len*sizeof(unsigned short));
     
     //puts(".make deltas");
     for(i=0;i<len;i++)
     {
         outputbuffer[i] = frame1[i] ^ frame2[i]; 
     }
     return(outputbuffer);
}
